package service

import (
	"context"
	"youngee_b_api/db"
	"youngee_b_api/model/http_model"
)

var CreateProduct *createProduct

type createProduct struct {
}

func (*createProduct) CreateProduct(ctx context.Context, newProduct http_model.CreateProductRequest) *http_model.CreateProductData {
	data, err := db.CreateProduct(ctx, newProduct)
	if err != nil {
		return nil
	} else {
		err := db.CreateProductPhoto(ctx, data.ProductID, newProduct.ProductPhotos)
		if err != nil {
			return nil
		}
	}
	return data
}
