package service

import (
	"context"
	"youngee_b_api/db"
	"youngee_b_api/model/http_model"
)

var CreateProject *createProject

type createProject struct {
}

func (*createProject) CreateProject(ctx context.Context, newProject http_model.CreateProjectRequest) *http_model.CreateProjectData {
	data, err := db.CreateProject(ctx, newProject)
	if err != nil {
		return nil
	} else {
		err := db.CreateProjectPhoto(ctx, data.ProjectID, newProject.ProjectPhotos)
		if err != nil {
			return nil
		} else {
			err := db.CreateRecruitStrategy(ctx, data.ProjectID, newProject.RecruitStrategys)
			if err != nil {
				return nil
			}
		}
	}
	return data
}
