package service

import (
	"context"
	"youngee_b_api/db"
	"youngee_b_api/model/http_model"

	log "github.com/sirupsen/logrus"
)

var CreateEnterprise *createEnterprise

type createEnterprise struct {
}

func (*createEnterprise) CreateEnterpriseUser(ctx context.Context, newEnterprise http_model.CreateEnterpriseRequest) *http_model.CreateEnterpriseData {
	userId, err := db.CreateEnterpriseUser(ctx, newEnterprise)
	if err != nil {
		log.Infof("[CreateEnterpriseUser] fail,err:%+v", err)
		return nil
	} else {
		newEnterprise.UserId = int(userId.UserID)
		res, err := db.CreateEnterprise(ctx, newEnterprise)
		if err != nil {
			log.Infof("[CreateEnterpriseUser] fail,err:%+v", err)
			return nil
		}
		return res
	}
}
